﻿
//XMLHttpRequestオブジェクト生成
function createHttpRequest(){

	//Win ie用
	if(window.ActiveXObject){
		try {
			//MSXML2以降用
			return new ActiveXObject("Msxml2.XMLHTTP") //[1]'
		} catch (e) {
		try {
			//旧MSXML用
			return new ActiveXObject("Microsoft.XMLHTTP") //[1]'
		} catch (e2) {
			return null
		}
	}
	} else if(window.XMLHttpRequest){
		//Win ie以外のXMLHttpRequestオブジェクト実装ブラウザ用
		return new XMLHttpRequest() //[1]'
	} else {
		return null
	}
}

//ファイルにアクセスし受信内容を確認します
function requestFile( data, method, fileName, async, tagid ){
	//XMLHttpRequestオブジェクト生成
	var httpoj = createHttpRequest() //[1]
    
	//open メソッド
	httpoj.open( method, fileName, async ) //[2]
    
	//受信時に起動するイベント
	httpoj.onreadystatechange = function()  //[4]
	{ 
		//readyState値は4で受信完了
		if (httpoj.readyState==4)  //[5]
		{ 
			//コールバック
			on_loaded( httpoj, tagid)
		}
	}
    
	//send メソッド
	 httpoj.send( data ) //[3]
}

//コールバック関数 ( 受信時に実行されます )
function on_loaded( oj, tagid ){
	//レスポンスを取得
	res  = oj.responseText //[6]
        
	//ダイアログで表示
	//alert( res );
	document.getElementById(tagid).innerHTML = res;
}